## org.apache.lucene.analysis.ja
Class JapaneseAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ReusableAnalyzerBase
              org.apache.lucene.analysis.StopwordAnalyzerBase
                  org.apache.lucene.analysis.ja.JapaneseAnalyzer

All Implemented Interfaces:
  Closeable

    public class JapaneseAnalyzer

extends org.apache.lucene.analysis.StopwordAnalyzerBase

Analyzer for Japanese that uses morphological analysis.

See Also:
  `JapaneseTokenizer`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents`

Field Summary

Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`matchVersion, stopwords`

Constructor Summary
`JapaneseAnalyzer(org.apache.lucene.util.Version matchVersion)`
`JapaneseAnalyzer(org.apache.lucene.util.Version matchVersion, UserDictionary userDict, JapaneseTokenizer.Mode mode, org.apache.lucene.analysis.CharArraySet stopwords, Set<String> stoptags)`

Method Summary
`protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents` `createComponents(String fieldName, Reader reader)`
`static org.apache.lucene.analysis.CharArraySet` `getDefaultStopSet()`
`static Set<String>` `getDefaultStopTags()`

Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`initReader, reusableTokenStream, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JapaneseAnalyzer

    public JapaneseAnalyzer(org.apache.lucene.util.Version matchVersion)

### JapaneseAnalyzer

    public JapaneseAnalyzer(org.apache.lucene.util.Version matchVersion,
                            UserDictionary userDict,
                            JapaneseTokenizer.Mode mode,
                            org.apache.lucene.analysis.CharArraySet stopwords,
                            Set<String> stoptags)

Method Detail

### getDefaultStopSet

    public static org.apache.lucene.analysis.CharArraySet getDefaultStopSet()

### getDefaultStopTags

    public static Set<String> getDefaultStopTags()

### createComponents

    protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents createComponents(String fieldName,
                                                                                                     Reader reader)

  Specified by:
    `createComponents` in class `org.apache.lucene.analysis.ReusableAnalyzerBase`